<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto  = false;
$sesion    = false;
$mensaje   = 'No se pudo limpiar el filtro';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(12)
) {
  $_SESSION['filtroReporteReservasFechaInicio'] = '';
  $_SESSION['filtroReporteReservasFechaFin'] = '';
  $_SESSION['filtroReporteReservasCliente'] = '';
  $_SESSION['filtroReporteReservasProveedorSils'] = '';
  $_SESSION['filtroReporteReservasProveedorCliente'] = '';
  $_SESSION['filtroReporteReservasBodega'] = '';
  $_SESSION['filtroReporteReservasPuerta'] = '';
  $_SESSION['filtroReporteReservasRazonSocial'] = '';
  $_SESSION['filtroReporteReservasNumero'] = '';
  $_SESSION['filtroReporteReservasEstado'] = '';
  $correcto = true;
} else {
  $sesion = true;
}

$data = array(
  'success' => $correcto,
  'mensaje' => $mensaje,
  'sesion'  => $sesion
);
echo json_encode($data);
?>